[p4perl] does p4perl still work?

Tony Smith tony at smee.org
Tue Jul 24 03:55:34 PDT 2007


Hi Dan,

> I've been attempting to compile the Perl API on Windows 2000 using:
>
>
>    - VC++ 2005 Express
>    - ActiveState Perl v5.8.7
>    - p4perl P4-3.5708
>    - Perforce API libs r04.2/bin.ntx86 and r07.2/bin.ntx86 (tried both)

P4Perl 3.5708 definitely won't work with the 2007.2 API - you need the latest 
development P4Perl for that.

> Am wondering if anyone's got a quick&dirty how-to I could check out to see
> if I'm doing something stupid (likely). I've been working from the
> documentation on
> http://public.perforce.com/guest/tony_smith/perforce/API/Perl/index.html,
> which is helpful but seems a bit out-dated.

Apologies - I haven't updated the porting matrix for a while, but P4Perl is 
still actively maintained and working well.

Tony



More information about the p4perl mailing list